<script lang="ts">
import { defineComponent } from "vue";
export default defineComponent({
  name: "DataViewPartTwo",
});
</script>

<script setup lang="ts">
import ModuleCard from "@/views/dataManage/index/components/Card/ModuleCard.vue";
import Chat from "@/views/dataManage/index/components/Chat/chat.vue";
import { onMounted } from "vue";

interface PropsType {
  state: Record<string, any>;
  api: Record<string, any>;
}

const props = withDefaults(defineProps<PropsType>(), {
  state: () => {
    return {};
  },
  api: () => {
    return {};
  },
});

onMounted(() => {
  // mockData();
});

const prefix = "data-view-part-one";
</script>

<template>
  <div :class="prefix">
    <ModuleCard title="数据统计">
      <Chat :options="props.state.circleChatOptions.value" />
    </ModuleCard>
  </div>
</template>

<style lang="scss" scoped>
$prefix: "data-view-part-one";

.#{$prefix} {
  width: 100%;
  height: 100%;
}
</style>
